Bug 864406 - Procedure 2.12. Configuring mod_cluster
Procedure 2.12. Configuring mod_cluster
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: doc-Installation-Guide (Show other bugs)
2.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 07:08 EDT by Radim Hatlapatka
Modified: 2012-11-08 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 17:10:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radim Hatlapatka 2012-10-09 07:08:52 EDT
It is configured in default. Thereby all this information should be replaced and just pointed that mod_cluster configuration can be customized in <EWS_HOME>/httpd/conf.d/mod_cluster.conf
Comment 1 gsheldon 2012-10-09 19:37:54 EDT
removed steps in procedure, now just points to <EWS_HOME>/httpd/conf.d/mod_cluster.conf
Comment 3 Radim Hatlapatka 2012-10-10 02:51:53 EDT
I think it would be great to add here even link to mod_cluster documentation in order to point customer where it can find the know-how of customization.

Ask developers, if there is any documentation to the newest version of mod_cluster used in EWS 2.0 (mod_cluster 1.2.2-final).

I am just ataching link to documentation of older mod_cluster version (1.2.0): docs.jboss.org/mod_cluster/1.2.0/html_single
Comment 4 Misha H. Ali 2012-10-10 18:49:54 EDT
Sending an email to the PM list to look for someone with a valid link.
Comment 5 Jean-frederic Clere 2012-10-11 02:17:35 EDT
http://docs.jboss.org/mod_cluster/1.2.0/html/
Comment 6 Misha H. Ali 2012-10-11 02:45:29 EDT
Thank you, Jean-Frederic. Now added a note referring to this link. This bug will be set to ON_QA when the changes appear on the stage.
Comment 8 Radim Hatlapatka 2012-10-11 05:07:25 EDT
As Jean-Frederic wrote there should later appear an updated version of the documentation, thereby the link should be later updated.

But at least for now I would suggest to add link to other parts of EWS 2.0 documentation where are certain information about mod_cluster in EWS 2.0 which are newer or updated in comparison with http://docs.jboss.org/mod_cluster/1.2.0/html/:  http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Web_Server/2/html-single/HTTP_Connectors_Load_Balancing_Guide/index.html#part-mod_cluster
Comment 9 Misha H. Ali 2012-10-12 00:21:56 EDT
We do not generally link to books, as the IDs may change, the section may be removed altogether, etc. and then the link would be useless.

Instead, I have added the following note which tells the user where to go and what part of the book to look for this information:

For further information about customizing mod_cluster, refer to the JBoss HTTP Connector section of the HTTP Connectors and Load Balancing Guide.
Comment 11 Radim Hatlapatka 2012-10-12 05:49:40 EDT
That's perfect
Comment 12 Misha H. Ali 2012-11-08 17:10:34 EST
This bug is set to CLOSED CURRENT RELEASE to indicate that this fix is now released and available at access.redhat.com.

Note You need to log in before you can comment on or make changes to this bug.